<%@ page language="java"  pageEncoding="utf-8"%>
<script type="text/javascript">
$(function(){
	$('#reportButton').click(function(){
		var reportName = $('#reportFrame').attr('name');
		var parameter = '';
		$('.report-parameter').each(function(index, obj){
			var name = $(this).attr('name');
			var value = $(this).val();
			if(name!=undefined && name!=''){
				if(value==undefined || value.length==0){
					alert("请确认所有报表条件已选择！");
					parameter = '';
					return false;
				}else{
					parameter = parameter + "&" + name + "=" + value;
				}
			}
		});
		$('.report-parameter').each(function(index, obj){
			var name = $(this).attr('name');
			var value = $(this).val();
			if(name!=undefined && name!=''){
				if(value!=undefined && value.length>0){
					parameter = parameter + "&" + name + "=" + value;
				}
			}
		});
		$('.warning').each(function(){
			$(this).show();
		});
		if(parameter.length>0){
			$('#reportButton').attr("disabled","disabled");
			var reportURL = cjkEncode("${properties['report.server']}/"+reportName+parameter);
			$('#reportFrame').attr('src',reportURL);
		}
		return false;
	})
	$('.warning-close a').click(function(){
		$(this).parent().parent().hide();
	});
	$('#reportFrame').load(function(){
		$('#reportButton').removeAttr("disabled");
	})
})

//cjkEncode方法的实现代码，放在网页head中或者用户自己的js文件中  
function cjkEncode(text) {                                                                            
  if (text == null) {         
    return "";         
  }         
  var newText = "";         
  for (var i = 0; i < text.length; i++) {         
    var code = text.charCodeAt (i);          
    if (code >= 128 || code == 91 || code == 93) {  //91 is "[", 93 is "]".         
      newText += "[" + code.toString(16) + "]";         
    } else {         
      newText += text.charAt(i);         
    }         
  }         
  return newText;         
} 
</script>